neaacdec.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | mp4AudioSpecificConfig
struct | NeAACDecConfiguration
struct | NeAACDecFrameInfo

## Macros

#define | faacDecHandle NeAACDecHandle
#define | faacDecConfiguration NeAACDecConfiguration
#define | faacDecConfigurationPtr NeAACDecConfigurationPtr
#define | faacDecFrameInfo NeAACDecFrameInfo
#define | faacDecGetErrorMessage NeAACDecGetErrorMessage
#define | faacDecSetConfiguration NeAACDecSetConfiguration
#define | faacDecGetCurrentConfiguration NeAACDecGetCurrentConfiguration
#define | faacDecInit NeAACDecInit
#define | faacDecInit2 NeAACDecInit2
#define | faacDecInitDRM NeAACDecInitDRM
#define | faacDecInitDAB NeAACDecInitDAB
#define | faacDecPostSeekReset NeAACDecPostSeekReset
#define | faacDecOpen NeAACDecOpen
#define | faacDecClose NeAACDecClose
#define | faacDecDecode NeAACDecDecode
#define | AudioSpecificConfig NeAACDecAudioSpecificConfig
#define | NEAACDECAPI
#define | FAAD2_VERSION "2.7"
#define | MAIN 1
#define | LC 2
#define | SSR 3
#define | LTP 4
#define | HE_AAC 5
#define | ER_LC 17
#define | ER_LTP 19
#define | LD 23
#define | DRM_ER_LC 27 /* special object type for DRM */
#define | RAW 0
#define | ADIF 1
#define | ADTS 2
#define | LATM 3
#define | NO_SBR 0
#define | SBR_UPSAMPLED 1
#define | SBR_DOWNSAMPLED 2
#define | NO_SBR_UPSAMPLED 3
#define | FAAD_FMT_16BIT 1
#define | FAAD_FMT_24BIT 2
#define | FAAD_FMT_32BIT 3
#define | FAAD_FMT_FLOAT 4
#define | FAAD_FMT_FIXED FAAD_FMT_FLOAT
#define | FAAD_FMT_DOUBLE 5
#define | LC_DEC_CAP (1<<0) /* Can decode LC */
#define | MAIN_DEC_CAP (1<<1) /* Can decode MAIN */
#define | LTP_DEC_CAP (1<<2) /* Can decode LTP */
#define | LD_DEC_CAP (1<<3) /* Can decode LD */
#define | ERROR_RESILIENCE_CAP (1<<4) /* Can decode ER */
#define | FIXED_POINT_CAP (1<<5) /* Fixed point */
#define | FRONT_CHANNEL_CENTER (1)
#define | FRONT_CHANNEL_LEFT (2)
#define | FRONT_CHANNEL_RIGHT (3)
#define | SIDE_CHANNEL_LEFT (4)
#define | SIDE_CHANNEL_RIGHT (5)
#define | BACK_CHANNEL_LEFT (6)
#define | BACK_CHANNEL_RIGHT (7)
#define | BACK_CHANNEL_CENTER (8)
#define | LFE_CHANNEL (9)
#define | UNKNOWN_CHANNEL (0)
#define | DRMCH_MONO 1
#define | DRMCH_STEREO 2
#define | DRMCH_SBR_MONO 3
#define | DRMCH_SBR_STEREO 4
#define | DRMCH_SBR_PS_STEREO 5
#define | FAAD_MIN_STREAMSIZE 768 /* 6144 bits/channel */

## Typedefs

typedef void * | NeAACDecHandle
typedef struct mp4AudioSpecificConfig | mp4AudioSpecificConfig
typedef struct NeAACDecConfiguration | NeAACDecConfiguration
typedef struct NeAACDecConfiguration * | NeAACDecConfigurationPtr
typedef struct NeAACDecFrameInfo | NeAACDecFrameInfo

## Functions

char *NEAACDECAPI | NeAACDecGetErrorMessage (unsigned char errcode)
unsigned long NEAACDECAPI | NeAACDecGetCapabilities (void)
NeAACDecHandle NEAACDECAPI | NeAACDecOpen (void)
NeAACDecConfigurationPtr NEAACDECAPI | NeAACDecGetCurrentConfiguration (NeAACDecHandle hDecoder)
unsigned char NEAACDECAPI | NeAACDecSetConfiguration (NeAACDecHandle hDecoder, NeAACDecConfigurationPtr config)
long NEAACDECAPI | NeAACDecInit (NeAACDecHandle hDecoder, unsigned char *buffer, unsigned long buffer_size, unsigned long *samplerate, unsigned char *channels)
char NEAACDECAPI | NeAACDecInit2 (NeAACDecHandle hDecoder, unsigned char *pBuffer, unsigned long SizeOfDecoderSpecificInfo, unsigned long *samplerate, unsigned char *channels)
char NEAACDECAPI | NeAACDecInitDRM (NeAACDecHandle *hDecoder, unsigned long samplerate, unsigned char channels)
char NEAACDECAPI | NeAACDecInitDAB (NeAACDecHandle *hDecoder, unsigned long samplerate, unsigned char channels, unsigned char sbr)
void NEAACDECAPI | NeAACDecPostSeekReset (NeAACDecHandle hDecoder, long frame)
void NEAACDECAPI | NeAACDecClose (NeAACDecHandle hDecoder)
void *NEAACDECAPI | NeAACDecDecode (NeAACDecHandle hDecoder, NeAACDecFrameInfo *hInfo, unsigned char *buffer, unsigned long buffer_size)
void *NEAACDECAPI | NeAACDecDecode2 (NeAACDecHandle hDecoder, NeAACDecFrameInfo *hInfo, unsigned char *buffer, unsigned long buffer_size, void **sample_buffer, unsigned long sample_buffer_size)
char NEAACDECAPI | NeAACDecAudioSpecificConfig (unsigned char *pBuffer, unsigned long buffer_size, mp4AudioSpecificConfig *mp4ASC)

## Macro Definition Documentation

## ADIF

#define ADIF 1

## ADTS

#define ADTS 2

## AudioSpecificConfig

#define AudioSpecificConfig NeAACDecAudioSpecificConfig

## BACK_CHANNEL_CENTER

#define BACK_CHANNEL_CENTER (8)

## BACK_CHANNEL_LEFT

#define BACK_CHANNEL_LEFT (6)

## BACK_CHANNEL_RIGHT

#define BACK_CHANNEL_RIGHT (7)

## DRM_ER_LC

#define DRM_ER_LC 27 /* special object type for DRM */

## DRMCH_MONO

#define DRMCH_MONO 1

## DRMCH_SBR_MONO

#define DRMCH_SBR_MONO 3

## DRMCH_SBR_PS_STEREO

#define DRMCH_SBR_PS_STEREO 5

## DRMCH_SBR_STEREO

#define DRMCH_SBR_STEREO 4

## DRMCH_STEREO

#define DRMCH_STEREO 2

## ER_LC

#define ER_LC 17

## ER_LTP

#define ER_LTP 19

## ERROR_RESILIENCE_CAP

#define ERROR_RESILIENCE_CAP (1<<4) /* Can decode ER */

## faacDecClose

#define faacDecClose NeAACDecClose

## faacDecConfiguration

#define faacDecConfiguration NeAACDecConfiguration

## faacDecConfigurationPtr

#define faacDecConfigurationPtr NeAACDecConfigurationPtr

## faacDecDecode

#define faacDecDecode NeAACDecDecode

## faacDecFrameInfo

#define faacDecFrameInfo NeAACDecFrameInfo

## faacDecGetCurrentConfiguration

#define faacDecGetCurrentConfiguration NeAACDecGetCurrentConfiguration

## faacDecGetErrorMessage

#define faacDecGetErrorMessage NeAACDecGetErrorMessage

## faacDecHandle

#define faacDecHandle NeAACDecHandle

## faacDecInit

#define faacDecInit NeAACDecInit

## faacDecInit2

#define faacDecInit2 NeAACDecInit2

## faacDecInitDAB

#define faacDecInitDAB NeAACDecInitDAB

## faacDecInitDRM

#define faacDecInitDRM NeAACDecInitDRM

## faacDecOpen

#define faacDecOpen NeAACDecOpen

## faacDecPostSeekReset

#define faacDecPostSeekReset NeAACDecPostSeekReset

## faacDecSetConfiguration

#define faacDecSetConfiguration NeAACDecSetConfiguration

## FAAD2_VERSION

#define FAAD2_VERSION "2.7"

## FAAD_FMT_16BIT

#define FAAD_FMT_16BIT 1

## FAAD_FMT_24BIT

#define FAAD_FMT_24BIT 2

## FAAD_FMT_32BIT

#define FAAD_FMT_32BIT 3

## FAAD_FMT_DOUBLE

#define FAAD_FMT_DOUBLE 5

## FAAD_FMT_FIXED

#define FAAD_FMT_FIXED FAAD_FMT_FLOAT

## FAAD_FMT_FLOAT

#define FAAD_FMT_FLOAT 4

## FAAD_MIN_STREAMSIZE

#define FAAD_MIN_STREAMSIZE 768 /* 6144 bits/channel */

## FIXED_POINT_CAP

#define FIXED_POINT_CAP (1<<5) /* Fixed point */

## FRONT_CHANNEL_CENTER

#define FRONT_CHANNEL_CENTER (1)

## FRONT_CHANNEL_LEFT

#define FRONT_CHANNEL_LEFT (2)

## FRONT_CHANNEL_RIGHT

#define FRONT_CHANNEL_RIGHT (3)

## HE_AAC

#define HE_AAC 5

## LATM

#define LATM 3

## LC

#define LC 2

## LC_DEC_CAP

#define LC_DEC_CAP (1<<0) /* Can decode LC */

## LD

#define LD 23

## LD_DEC_CAP

#define LD_DEC_CAP (1<<3) /* Can decode LD */

## LFE_CHANNEL

#define LFE_CHANNEL (9)

## LTP

#define LTP 4

## LTP_DEC_CAP

#define LTP_DEC_CAP (1<<2) /* Can decode LTP */

## MAIN

#define MAIN 1

## MAIN_DEC_CAP

#define MAIN_DEC_CAP (1<<1) /* Can decode MAIN */

## NEAACDECAPI

#define NEAACDECAPI

Referenced by NeAACDecAudioSpecificConfig(), NeAACDecClose(), NeAACDecDecode(), NeAACDecDecode2(), NeAACDecGetCapabilities(), NeAACDecGetCurrentConfiguration(), NeAACDecGetErrorMessage(), NeAACDecInit(), NeAACDecInit2(), NeAACDecInitDAB(), NeAACDecInitDRM(), NeAACDecOpen(), NeAACDecPostSeekReset(), and NeAACDecSetConfiguration().

## NO_SBR

#define NO_SBR 0

## NO_SBR_UPSAMPLED

#define NO_SBR_UPSAMPLED 3

## RAW

#define RAW 0

## SBR_DOWNSAMPLED

#define SBR_DOWNSAMPLED 2

## SBR_UPSAMPLED

#define SBR_UPSAMPLED 1

## SIDE_CHANNEL_LEFT

#define SIDE_CHANNEL_LEFT (4)

## SIDE_CHANNEL_RIGHT

#define SIDE_CHANNEL_RIGHT (5)

## SSR

#define SSR 3

## UNKNOWN_CHANNEL

#define UNKNOWN_CHANNEL (0)

## Typedef Documentation

## mp4AudioSpecificConfig

typedef struct mp4AudioSpecificConfig mp4AudioSpecificConfig

## NeAACDecConfiguration

typedef struct NeAACDecConfiguration NeAACDecConfiguration

## NeAACDecConfigurationPtr

typedef struct NeAACDecConfiguration * NeAACDecConfigurationPtr

## NeAACDecFrameInfo

typedef struct NeAACDecFrameInfo NeAACDecFrameInfo

## NeAACDecHandle

typedef void* NeAACDecHandle

## Function Documentation

## NeAACDecAudioSpecificConfig()

char NEAACDECAPI NeAACDecAudioSpecificConfig | ( | unsigned char * | pBuffer,
|  | unsigned long | buffer_size,
|  | mp4AudioSpecificConfig * | mp4ASC )

References NEAACDECAPI.

## NeAACDecClose()

void NEAACDECAPI NeAACDecClose | ( | NeAACDecHandle | hDecoder | ) |

References NEAACDECAPI.

## NeAACDecDecode()

void *NEAACDECAPI NeAACDecDecode | ( | NeAACDecHandle | hDecoder,
|  | NeAACDecFrameInfo * | hInfo,
|  | unsigned char * | buffer,
|  | unsigned long | buffer_size )

References NEAACDECAPI.

## NeAACDecDecode2()

void *NEAACDECAPI NeAACDecDecode2 | ( | NeAACDecHandle | hDecoder,
|  | NeAACDecFrameInfo * | hInfo,
|  | unsigned char * | buffer,
|  | unsigned long | buffer_size,
|  | void ** | sample_buffer,
|  | unsigned long | sample_buffer_size )

References NEAACDECAPI.

## NeAACDecGetCapabilities()

unsigned long NEAACDECAPI NeAACDecGetCapabilities | ( | void |  | ) |

References NEAACDECAPI.

## NeAACDecGetCurrentConfiguration()

NeAACDecConfigurationPtr NEAACDECAPI NeAACDecGetCurrentConfiguration | ( | NeAACDecHandle | hDecoder | ) |

References NEAACDECAPI.

## NeAACDecGetErrorMessage()

char *NEAACDECAPI NeAACDecGetErrorMessage | ( | unsigned char | errcode | ) |

References NEAACDECAPI.

## NeAACDecInit()

long NEAACDECAPI NeAACDecInit | ( | NeAACDecHandle | hDecoder,
|  | unsigned char * | buffer,
|  | unsigned long | buffer_size,
|  | unsigned long * | samplerate,
|  | unsigned char * | channels )

References NEAACDECAPI.

## NeAACDecInit2()

char NEAACDECAPI NeAACDecInit2 | ( | NeAACDecHandle | hDecoder,
|  | unsigned char * | pBuffer,
|  | unsigned long | SizeOfDecoderSpecificInfo,
|  | unsigned long * | samplerate,
|  | unsigned char * | channels )

References NEAACDECAPI.

## NeAACDecInitDAB()

char NEAACDECAPI NeAACDecInitDAB | ( | NeAACDecHandle * | hDecoder,
|  | unsigned long | samplerate,
|  | unsigned char | channels,
|  | unsigned char | sbr )

References NEAACDECAPI.

## NeAACDecInitDRM()

char NEAACDECAPI NeAACDecInitDRM | ( | NeAACDecHandle * | hDecoder,
|  | unsigned long | samplerate,
|  | unsigned char | channels )

References NEAACDECAPI.

## NeAACDecOpen()

NeAACDecHandle NEAACDECAPI NeAACDecOpen | ( | void |  | ) |

References NEAACDECAPI.

## NeAACDecPostSeekReset()

void NEAACDECAPI NeAACDecPostSeekReset | ( | NeAACDecHandle | hDecoder,
|  | long | frame )

References NEAACDECAPI.

## NeAACDecSetConfiguration()

unsigned char NEAACDECAPI NeAACDecSetConfiguration | ( | NeAACDecHandle | hDecoder,
|  | NeAACDecConfigurationPtr | config )

References NEAACDECAPI.